from fastapi import FastAPI, HTTPException
from pydantic import BaseModel
import speakerAI as speakerAI

app = FastAPI()
@app.post("/api/speakerrun", response_model=list[speakerAI.SpeakerItem])
def speakerRun(path: str):
    res = speakerAI.run(path)
    return res